echo off
IF "%1"=="" GOTO BADPARAMS
IF "%2"=="" GOTO BADPARAMS
IF "%3"=="" GOTO BADPARAMS
%2:
cd\
md CASINO
cd\CASINO
copy %1:\expand.exe
expand %1:\avpoker.ex_ avpoker.exe
expand %1:\blakjack.ex_ blakjack.exe
expand %1:\casinos.tx_ casinos.txt
cd\
cd\%3\system
%2:\casino\expand %1:\ver.dl_ ver.dll
%2:\casino\expand %1:\csspin.vb_ csspin.vbx
%2:\casino\expand %1:\cstext.vb_ cstext.vbx
%2:\casino\expand %1:\gauge.vb_ gauge.vbx
%2:\casino\expand %1:\mhcd200.vb_ mhcd200.vbx
%2:\casino\expand %1:\threed.vb_ threed.vbx
%2:\casino\expand %1:\vbrun300.dl_ vbrun300.dll
%2:\casino\expand %1:\qpro200.dl_ qpro200.dll
%2:\casino\expand %1:\mhcards.dl_ mhcards.dll
%2:\casino\expand %1:\avpoker.hl_ avpoker.hlp
%2:\casino\expand %1:\bjhelp.hl_ bjhelp.hlp
cd\
cls
echo All files for Advanced Casino Strategy have been installed successfully.
echo    You may start Windows now and simply set up new Program items
echo     for BLAKJACK.EXE and AVPOKER.EXE (in the CASINO directory).
GOTO END

:BADPARAMS
cls
ECHO To manually install Advanced Casino Strategy successfully:
ECHO ----------------------------------------------------------
ECHO       Please enter the name of your floppy drive, 
ECHO       the letter of your hard drive, and then  
ECHO       the name of your windows directory
ECHO       after typing ACS. 
ECHO              ---------------------------         
ECHO              (Example: ACS A C WINDOWS).
ECHO              ---------------------------
ECHO       Here, A is the Source Drive, C is the name of
ECHO       the destination drive, and WINDOWS is the name
ECHO       of your Windows directory. There is no need
ECHO       for / or : to proceed any parameters.

GOTO END

:END





